"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEnterpriseRecaptcha = getEnterpriseRecaptcha;
exports.getRecaptcha = getRecaptcha;
exports.invariant = invariant;
exports.warn = warn;
var _vueDemi = require("vue-demi");
function warn(msg, ...params) {
  (0, _vueDemi.warn)(`[vue-recaptcha]: ${msg}`, ...params);
}
function invariant(condition, msg) {
  if (!condition) {
    warn(msg);
    throw new Error(`Invariant violation: ${msg}`);
  }
}
function getRecaptcha() {
  return window.grecaptcha;
}
function getEnterpriseRecaptcha() {
  invariant(window.grecaptcha.enterprise, "Please load enterprise recaptcha script first");
  return window.grecaptcha.enterprise;
}